Summary: CD ripping tool using GTK+ and GStreamer
Name: sound-juicer
Version: 2.16.0
Release: %mkrel 1
License: GPL
Group: Sound
URL: http://www.burtonini.com/blog/computers/sound-juicer
Source0: http://ftp.gnome.org/pub/GNOME/sources/sound-juicer/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: librsvg
BuildRequires: libmusicbrainz-devel >= 2.0.0
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgstreamer-plugins-base-devel >= 0.8
BuildRequires: libnautilus-burn-devel >= 2.13.93
BuildRequires: gnome-media >= 2.13.7
BuildRequires: libcdio-devel
BuildRequires: scrollkeeper
BuildRequires: hal-devel
BuildRequires: libcddb-slave2-devel
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: perl-XML-Parser
BuildRequires: taglib-devel
BuildRequires: desktop-file-utils
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires: gstreamer0.10-gnomevfs
Requires: gstreamer0.10-cdparanoia
Requires: gstreamer0.10-vorbis
Requires: gstreamer0.10-flac
#Suggests: gstreamer0.10-lame
#Suggests: gstreamer0.10-faac

%description
This is Sound Juicer, a CD ripping tool using GTK+ and GStreamer.

%prep
%setup -q

%build

%configure2_5x --enable-hal --disable-scrollkeeper --enable-taglib

make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

%find_lang %{name} --with-gnome


# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Multimedia/Sound" \
	title="Sound Juicer CD Ripper" \
	longtitle="Rip music from your CDs" \
	command="%{_bindir}/sound-juicer" \
	icon="sound-juicer.png" \
	startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %buildroot%_liconsdir
rsvg -w 48 -h 48 data/sound-juicer.svg $RPM_BUILD_ROOT%{_liconsdir}/sound-juicer.png
rsvg -w 32 -h 32 data/sound-juicer.svg $RPM_BUILD_ROOT%{_iconsdir}/sound-juicer.png
install -D -m 644 data/sound-juicer-16.png $RPM_BUILD_ROOT%{_miconsdir}/sound-juicer.png

for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%{update_menus}
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %name

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog
%{_sysconfdir}/gconf/schemas/sound-juicer.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/sound-juicer
%_datadir/icons/hicolor/*/apps/sound-juicer.*
%{_menudir}/*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf

%changelog
* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5.1-1mdv2007.0
- Release 2.15.5.1
- Remove patch0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest dbus

* Mon Jul 24 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- New release 2.15.3

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2.1-1mdv2007.0
- Release 2.15.2.1
- Patch0: fix build

* Sun May 28 2006 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.0
- New release 2.14.4

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.3-1mdk
- Release 2.14.3

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-3mdk
- Rebuild wtih latest dbus
- disable suggests until urpmi supports them

* Tue Jan 17 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- add some suggested gstreamer plugins

* Thu Nov 24 2005 Gtz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- drop patch
- New release 2.12.3

* Tue Oct 11 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-3mdk
- fix buildrequires

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Patch0: fix crash when opening preferences (Mdk bug #19128)

* Mon Oct 10 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-1mdk
- Release 2.12.2

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Mon Apr 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-3mdk 
- Patch0 (CVS): fix default profile name (Mdk bug #15005)

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.0-2mdk
- add BuildRequires: libgstreamer-plugins-devel

* Fri Feb  4 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-1mdk
- New release 0.6.0
- Remove patch0 (merged upstream)

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.15-1mdk 
- Release 0.5.15
- Remove patches 0 & 1 (merged upstream)
- Patch 0: allow compilation with HAL 0.4.1

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-3mdk 
- Patch1 (Fedora): improve idle handler safety
- Enable HAL

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-2mdk 
- Patch0: better error handling (allow to rip some CDs with incomplete
  musicbrainz metadata)

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-1mdk
- New release 0.5.14
- Remove patch0 (merged upstream)

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.12-2mdk
- Patch0 (CVS): various bug fixes

* Thu Jun 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.12-1mdk
- New release 0.5.12

* Sun Jun 06 2004 Abel Cheung <deaddog@deaddog.org> 0.5.11-2mdk
- Rebuild with new gcc
- Use ImageMagick to convert icons

* Fri May 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.11-1mdk
- New release 0.5.11

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-5mdk
- fix buildrequires

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-4mdk
- new musicbrainz

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-3mdk
- rebuild for gstreamer 0.8

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-2mdk
- fix buildrequires

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.10.1-1mdk
- Release 0.5.10.1

* Wed Jan 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.9-1mdk
- Release 0.5.9

* Wed Nov 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.8-1mdk
- Release 0.5.8

* Wed Nov 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.7-1mdk
- Release 0.5.7
- Reduce build requirement
- Remove mdk gcc flags, they trigger a gcc bug on x86 platform

* Fri Oct 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.6-2mdk
- fix buildrequires

* Mon Oct 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.6-1mdk
- Release 0.5.6

* Wed Oct 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.5-1mdk
- Release 0.5.5

* Wed Sep 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.4-1mdk
- Release 0.5.4
- Remove patch0 (merged upstream)

* Tue Sep 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.3-1mdk
- Release 0.5.3
- Patch0 : fix crash when CD is not in musicbrainz database

* Thu Aug 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.2-1mdk
- Release 0.5.2

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Thu Jul 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5-1mdk
- Release 0.5

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.1-2mdk
- Fix schema install

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- don't buildrequire gstreamer-cdparanoia
- requires gstreamer-vorbis
- add schema installation and deinstallation
- fix url
- new version

* Tue Apr 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.1-1mdk
- Initial Mdk package

